Futures transactions
List Futures wallet transfers (DEPOSIT / WITHDRAW) for one currency.
Lists Futures wallet transfers (DEPOSIT / WITHDRAW) for one currency.
Request
# USDT (default)
curl -X GET "https://trade.mudrex.com/fapi/v1/futures/transactions?limit=20" \
-H "X-Authentication: your-secret-key"# INR
curl -X GET "https://trade.mudrex.com/fapi/v1/futures/transactions?limit=20&trade_currency=INR" \
-H "X-Authentication: your-secret-key"Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
trade_currency | string | No | USDT or INR. Defaults to USDT. |
limit | number | No | Max records to return. |
Response
Status: 200 OK
{
"success": true,
"data": [
{
"id": "01a0a5ee-60b5-7abe-b947-709f77c86206",
"wallet_transaction_id": "",
"transaction_type": "DEPOSIT",
"amount": "5189.33",
"status": "Completed",
"created_at": "2026-09-15T16:37:38Z",
"updated_at": "2026-09-15T16:37:39Z"
},
{
"id": "019ecc71-2314-780d-9e65-21343eaa99c6",
"wallet_transaction_id": "",
"transaction_type": "WITHDRAW",
"amount": "14.6719",
"status": "Completed",
"created_at": "2026-06-15T18:00:27Z",
"updated_at": "2026-06-15T18:00:29Z"
}
]
}Response fields
| Field | Description |
|---|---|
id | Transfer UUID. |
wallet_transaction_id | Linked wallet transaction id when set. |
transaction_type | DEPOSIT or WITHDRAW. |
amount | Transfer amount (wallet currency). |
status | e.g. Completed. |
created_at / updated_at | ISO-8601 timestamps. |
Updated 21 days ago
Did this page help you?
